deploy:
  stage: deploy
  before_script:
    - apt update
    - apt install rsync ssh -y
  script:
    - mkdir "${HOME}/.ssh"
    - chmod 700 "${HOME}/.ssh"
    - echo -e "${DEPLOYEMENT_KNOWN_HOSTS}" > ${HOME}/.ssh/known_hosts;
    - eval `ssh-agent -s`
    - ssh-add <(echo "$DEPLOYEMENT_KEY" | base64 --decode);
    - rsync -a calibre ${DEPLOYEMENT_USER}@${DEPLOYEMENT_HOST}:../../web/;
  only:
    refs:
    - master
    variables:
    - $DEPLOYEMENT_KEY
    - $DEPLOYEMENT_KNOWN_HOSTS
    - $DEPLOYEMENT_USER
    - $DEPLOYEMENT_HOST
